Subject: Re: What's cooking in git.git (Mar 2018, #06; Fri, 30)

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Sat, 31 Mar 2018 20:41:11 +0200

On Fri, Mar 30 2018, Junio C. Hamano wrote:

> [...]
> * jk/drop-ancient-curl (2017-08-09) 5 commits
>  - http: #error on too-old curl
>  - curl: remove ifdef'd code never used with curl >=7.19.4
>  - http: drop support for curl < 7.19.4
>  - http: drop support for curl < 7.16.0
>  - http: drop support for curl < 7.11.1
>
>  Some code in http.c that has bitrot is being removed.
>
>  Expecting a reroll.

This has been idle for a long time. Peff: What's left to be done for it?

> [...]
> * dj/runtime-prefix (2018-03-25) 3 commits
>  - exec_cmd: RUNTIME_PREFIX on some POSIX systems
>  - Makefile: add Perl runtime prefix support
>  - Makefile: generate Perl header from template file
>  (this branch is used by js/runtime-prefix-windows.)
>
>  A build-time option has been added to allow Git to be told to refer
>  to its associated files relative to the main binary, in the same
>  way that has been possible on Windows for quite some time, for
>  Linux, BSDs and Darwin.
>
>  Is this, together with the js/runtime-prefix-windows topic, ready
>  for 'next'?

dj/runtime-prefix look good to me (and I've been the reviewing it the
most it seems), I don't see any problems with js/runtime-prefix-windows
from peeking at it, but I haven't run it for obvious reasons.